git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
path: root/documentation/aux/block-inventory
diff options
context:
space:
mode:
authorHarald Pfeiffer <harald.pfeiffer _ xmart.de> 2018-11-01 13:30:58 +0100
committerHarald Pfeiffer <harald.pfeiffer _ xmart.de> 2018-11-01 13:30:58 +0100
commit0632591996893fe136a1f2fe44d9b9f404f41f3e (patch)
tree7340edbe7c212da3db45a83219147143a3268c8d /documentation/aux/block-inventory
downloadfedora-laptop-0632591996893fe136a1f2fe44d9b9f404f41f3e.tar.bz2
Initial commit
Diffstat (limited to 'documentation/aux/block-inventory')
-rwxr-xr-xdocumentation/aux/block-inventory10
1 files changed, 10 insertions, 0 deletions
diff --git a/documentation/aux/block-inventory b/documentation/aux/block-inventory
new file mode 100755
index 0000000..c8dc3f3
--- /dev/null
+++ b/documentation/aux/block-inventory
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+SCDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source "$SCDIR/ctrl-c"||exit 1
+ODETFIL="$SCDIR/../blockdevices"
+
+echo -n "Fetching blocks..."
+true>"$ODETFIL";[ "$?" -ne 0 ]&&echo "failed."&&exit 1||echo -n "."
+echo -n ".";lsblk -im -o+FSTYPE,MIN-IO,MOUNTPOINT 2>/dev/null|sed 's/luks-[^\ ]\+/luks-<uuid> /g' >"$ODETFIL"
+[ "$?" -ne 0 ]&&echo ".failed."||echo ".done."